<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;
use Illuminate\Support\Facades\Http;

class ReCaptcha implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        if (getOption('GOOGLE_RECAPTCHA_MAIL_STATUS', 0) == ACTIVE) {
            $response = Http::get("https://www.google.com/recaptcha/api/siteverify", [
                'secret' => getOption('GOOGLE_RECAPTCHA_SECRET'),
                'response' => $value
            ]);
            return $response->json()["success"];
        }
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'The recaptcha is required.';
    }
}
